<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('restaurant_date', function (Blueprint $table) {
            $table->tinyInteger('status')->default(0)->comment('可订餐状态 0:可订餐 1：已定餐 2：不可订餐')->after('date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('restaurant_date', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
};
